# Quali'Nomme 📚

Quali'Nomme est un outil conçu pour améliorer la qualité du nommage dans le code en facilitant l'identification des termes métiers et leur comparaison avec les glossaires spécifiés. Il a été développé dans le cadre d'une Situation d'Apprentissage et d'Évaluation (SAE).

## Objectif 🎯

L'objectif de Quali'Nomme est de faciliter l'amélioration de la qualité de nommage dans le code en fournissant les fonctionnalités suivantes :

- Ajout de un ou plusieurs glossaires en fonction des besoins du projet.
- Parsing d'un code ou d'un projet pour identifier les termes métiers utilisés et leur fréquence.
- Comparaison entre les termes saisis dans les glossaires et ceux identifiés dans le code.
- Visualisation des données comparatives pour une meilleure compréhension.

## Sommaire 📝

- [Objectif](#objectif-) 🎯
- [Sommaire](#sommaire-) 📝
- [Technologies Utilisées](#technologies-utilisées-) 💻
- [Technologies Prise En Charge Par Le Projet](#technologies-prise-en-charge-par-le-projet-) 🚀
- [Installation](#installation-) 🔧
- [Utilisation](#utilisation-) 🛠️
- [Auteurs](#auteurs-) 👥
- [Contact](#contact-) 📞

## Technologies Utilisées 💻

- ![Kotlin](https://img.shields.io/badge/Kotlin-0095D5?style=flat&logo=kotlin&logoColor=white)
- ![JetPack Compose](https://img.shields.io/badge/Jetpack%20Compose-6200EE?style=flat&logo=android&logoColor=white)

## Technologies Prise En Charge Par Le Projet 🚀

- ![Kotlin](https://img.shields.io/badge/Kotlin-0095D5?style=flat&logo=kotlin&logoColor=white)
- ![Java](https://img.shields.io/badge/Java-007396?style=flat&logo=java&logoColor=white)
- ![Python](https://img.shields.io/badge/Python-3776AB?style=flat&logo=python&logoColor=white)
- ![JavaScript](https://img.shields.io/badge/JavaScript-F7DF1E?style=flat&logo=javascript&logoColor=black)

## Installation 🔧

Pour installer Quali'Nomme, suivez les étapes suivantes :

1. Clonez le dépôt

```sh
git clone
```

2. Installez les dépendances

```sh
./gradlew build
```

3. Exécutez le projet

```sh
./gradlew run
```

## Utilisation 🛠️

Pour utiliser Quali'Nomme, suivez les étapes suivantes :

1. Ajoutez un ou plusieurs glossaires en fonction des besoins du projet.
2. Parsez un code ou un projet pour identifier les termes métiers utilisés et leur fréquence.
3. Comparez les termes saisis dans les glossaires et ceux identifiés dans le code.
4. Visualisez les données comparatives pour une meilleure compréhension.
5. Améliorez la qualité de nommage dans le code.
6. Répétez les étapes 2 à 5 pour chaque itération du projet.

## Auteurs 👥

- [Maxime CAPEL](https://github.com/fortyup/)
- [Thomas BREIL](https://github.com/ThomasBreil)
- [Bayram Gokcen](https://github.com/ByrmGkcn)
- [Cemal ODABASIOGLU](https://github.com/sonwayy)
- [Clement Carpentier](https://github.com/ClementCrpt)

## Contact 📞

Pour toute question, veuillez contacter l'équipe de développement.
